
TYPO3.Fluid - Bug # 44376

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Widgets
Created: 2013-01-08 Assigned To: Bastian Waidelich
Updated: 2013-01-08 Due date:
Has patch: No
Affected Flow version: Flow 2.0.0 beta 1
Subject: Paginate widget throws exception
Description

With #43589 the action argument of link/URI ViewHelpers is not optional any longer (except for AJAX widget links/URIs where the
argument falls back to the current action).
The template of the provided pagination widget has not been adjusted to that breaking change yet.

Related issues:
related to TYPO3.Flow - Bug # 43589: Route defaults can be omitted when creat... Resolved 2012-12-04

Associated revisions
Revision fd3ff041 - 2013-01-08 13:42 - Bastian Waidelich

[BUGFIX] Adjust pagination widget to recent changes

With #43589 the action argument of link/URI ViewHelpers is
not optional any longer.

This change adjusts the template of the provided pagination widget
to that breaking change by specifying the action argument.

Besides this adds a check to widget.link & widget.uri ViewHelpers
which throws a more meaningful exception if the action argument
was omitted.

Change-Id: I86ea27aa95ce23991924e51576389fb05680b500
Fixes: #44376
Related: #43589
Releases: master

Revision 7e096556 - 2013-01-10 10:53 - Bastian Waidelich

[BUGFIX] Adjust pagination widget to recent changes

With #43589 the action argument of link/URI ViewHelpers is
not optional any longer.

This change adjusts the template of the provided pagination widget
to that breaking change by specifying the action argument.

Besides this adds a check to widget.link & widget.uri ViewHelpers
which throws a more meaningful exception if the action argument
was omitted.
Change-Id: I86ea27aa95ce23991924e51576389fb05680b500
Fixes: #44376
Related: #43589
Releases: master

History
#1 - 2013-01-08 15:36 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fd3ff0418b46bfb529d8ab7386dcab95326826a6.
